Chez oim, forum libreChez oim, forum libre

 


Pages: 1 ... 6 7 8 [9] 10 11   En bas

Auteur Sujet: Discussions autour de Wamp avec un de ses créateurs, Otomatic  (Lu 822 fois)

maximus23

  • Observateur
  • Pipelette invétérée
  • *******
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 2.099
  • Grand chevalier du mot de passe
      • ®Smf® Solutions
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #119 de la page précédente: mercredi 05 décembre 2018, 19:07 »

Bonsoir,

Je viens de tester la mise à jour 1.6 sur une ancienne version qui traîne et cela fonctionne avec une ancienne version d'Apache :

Apache/2.4.27 (Win64) OpenSSL/1.1.0i PHP/7.2.12 - Port défini pour Apache : 80 - 443

Pour la 7.3 là cela ne fonctionne pas. Mais pas encore prévu suivant ma lecture de ta note.

Je testerai tout cela en détail sur ma version de développement.

A suivre :)
IP archivée
Amitiés et à bientôt...
Have a nice day...

alex

  • Administrateur
  • Dictionnaire ambulant
  • ********
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 17.604
  • Proprio officiel chez oim !
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #120 le: mercredi 05 décembre 2018, 19:11 »

Version 1.6 de quoi ? :-\


Sinon, PHP 7.3 n'est pas encore en version stable.
C'est pas avant l'année prochaine, 2019.
IP archivée

maximus23

  • Observateur
  • Pipelette invétérée
  • *******
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 2.099
  • Grand chevalier du mot de passe
      • ®Smf® Solutions
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #121 le: mercredi 05 décembre 2018, 19:41 »

Bonsoir,

Moi j'utilise Php 7.3.0 RC6 au moins je vois ce qui devient obsolète et doit-être modifié.

La mise à jour de WampServer en 3.1.6 sur le site d'Otomatic.

:)
IP archivée
Amitiés et à bientôt...
Have a nice day...

alex

  • Administrateur
  • Dictionnaire ambulant
  • ********
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 17.604
  • Proprio officiel chez oim !
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #122 le: mercredi 05 décembre 2018, 20:12 »

Tu aimes le risque.
On va t'appeler Jonathan Hart avec sa Jennifer. :D

Tu utilises en prod des CMS en version beta et maintenant tu te lances dans des versions de PHP pas stables.
Fais gaffe Alain ! Des bots ratissent la toile à la recherche de victimes, fais gaffe. Ton insouciance finira par te couter cher ! :gk:
IP archivée

maximus23

  • Observateur
  • Pipelette invétérée
  • *******
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 2.099
  • Grand chevalier du mot de passe
      • ®Smf® Solutions
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #123 le: mercredi 05 décembre 2018, 20:39 »

Bonsoir,

Non je ne vois pas de risques car pour le Php 7.3 c'est en local pour le moment :)

Pour les Cms il n'y en a qu'un seul (Smf) et si personne ne teste alors qui le fera ?

C'est le seul moyen d'avancer dans des versions stables.

:)
IP archivée
Amitiés et à bientôt...
Have a nice day...

alex

  • Administrateur
  • Dictionnaire ambulant
  • ********
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 17.604
  • Proprio officiel chez oim !
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #124 le: mercredi 05 décembre 2018, 20:53 »

Ouais mais bon. Je ferais pas ça sur mon serveur.
Tu es un kamikaze ! :ia:
IP archivée

Otomatic

  • Orateur confirmé
  • **
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 55
      • Aviatechno
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #125 le: jeudi 06 décembre 2018, 10:35 »

Sinon, PHP 7.3 n'est pas encore en version stable.
C'est pas avant l'année prochaine, 2019.
Ça vient de sortir officiellement. Ce sera dispo en addons ce soir pour Wampserver 3.1.6 avec d'ailleurs :
PHP 7.2.13, 7.1.25, 7.0.33 et 5.6.39

Nota : Pour PHP 7.3.0 32bit, pas de xdebug et pour 7.3.0 64 bit, xdebug 2.7.0 beta1
IP archivée
« La vie sans musique est tout simplement une erreur, une fatigue, un exil. » Friedrich Nietzsche.
« Ce n'est pas parce qu'ils sont nombreux à avoir tort qu'ils ont forcément raison. » Coluche

alex

  • Administrateur
  • Dictionnaire ambulant
  • ********
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 17.604
  • Proprio officiel chez oim !
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #126 le: jeudi 06 décembre 2018, 12:26 »

Perso, y a pas d'urgence pour moi.
IP archivée

maximus23

  • Observateur
  • Pipelette invétérée
  • *******
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 2.099
  • Grand chevalier du mot de passe
      • ®Smf® Solutions
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #127 le: jeudi 06 décembre 2018, 20:01 »

Bonsoir,

Je viens de remarquer un bug :

Lorsque l'on est en SSL avec le port 443 déclaré dans le httpd-vhosts.conf et que l'on change de version apache il modifie tout les :

Code
<IfModule ssl_module>
<VirtualHost *:443>

en

Code
<IfModule ssl_module>
<VirtualHost *:80>

ce qui est un rien embêtant si on swap entre les versions d'Apache le temps de mettre au point toutes les configurations et la finalisation de certains programmes spécifiques.

Donc on se retrouve avec tout les ports en 80 au lieu de les différencier entre 80 et 443.

:)
 
IP archivée
Amitiés et à bientôt...
Have a nice day...

alex

  • Administrateur
  • Dictionnaire ambulant
  • ********
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 17.604
  • Proprio officiel chez oim !
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #128 le: jeudi 06 décembre 2018, 20:14 »

Oh quel bol que j'ai !
J'ai l'habitude de placer toutes mes configs perso dans des fichiers à part, et les VHost SSL font partie de ma "manie de parano".

Je m'aperçois que j'ai eu raison. :ic:
Je déteste les logiciels qui touchent la config, je ne supporte pas ça.
C'est pour ça que j'ai toujours ma config à côté, pour que le logiciel s'amuse comme il veut, je m'en fous. ;)

Ma config SSL s'appelle httpd-xssl.conf et je suis tranquille. Wamp peut bricoler un fichier de conf dont je me fous royalement. ^-^
IP archivée

maximus23

  • Observateur
  • Pipelette invétérée
  • *******
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 2.099
  • Grand chevalier du mot de passe
      • ®Smf® Solutions
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #129 le: jeudi 06 décembre 2018, 20:49 »

Bonsoir,

Oui moi aussi j'ai un fichier séparé pour chaque comme pour linux d'ailleurs et même en dissociation du 80 et 443.

En plus mes clés SSL sont en dehors du serveur Apache car quand on change de version on change les paths et là plus de clés SSL donc il faut penser à les mettre autre part pour faire les mises à jour tranquillement.

Mais là je suis en configuration standard de WampServer pour tous mes tests ce qui est nettement plus simple  O:-)

De plus si cela peut aider à corriger c'est déjà cela de fait car une erreur de ce style peut faire chercher longtemps.

:)
IP archivée
Amitiés et à bientôt...
Have a nice day...

alex

  • Administrateur
  • Dictionnaire ambulant
  • ********
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 17.604
  • Proprio officiel chez oim !
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #130 le: jeudi 06 décembre 2018, 21:10 »

L'important pour Wamp, c'est de ne pas se précipiter ! :jr:

Des mises à jour trop fréquentes et dans la précipitation finissent par saouler et plus personne ne met à jour...
IP archivée

Otomatic

  • Orateur confirmé
  • **
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 55
      • Aviatechno
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #131 le: vendredi 07 décembre 2018, 09:26 »

Je déteste les logiciels qui touchent la config, je ne supporte pas ça.
Dans Wampserver, le seul et unique <IfModule ssl_module> est celui d'origine d'Apache dans httpd.conf
Code
<IfModule ssl_module>
SSLRandomSeed startup builtin
SSLRandomSeed connect builtin
</IfModule>
il n'est jamais modifié ni d'origine, ni par les mises à jour.
IP archivée
« La vie sans musique est tout simplement une erreur, une fatigue, un exil. » Friedrich Nietzsche.
« Ce n'est pas parce qu'ils sont nombreux à avoir tort qu'ils ont forcément raison. » Coluche

alex

  • Administrateur
  • Dictionnaire ambulant
  • ********
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 17.604
  • Proprio officiel chez oim !
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #132 le: vendredi 07 décembre 2018, 09:32 »

Sous Windows, il n'y a que cette formule qui fonctionne et ça fait des années que c'est comme ça.
Modifier cette partie, c'est la garantie d'avoir un plantage au démarrage d'Apache.

La faute à Windows qui ne semble pas connaitre les nombres aléatoires...
IP archivée

maximus23

  • Observateur
  • Pipelette invétérée
  • *******
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 2.099
  • Grand chevalier du mot de passe
      • ®Smf® Solutions
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #133 le: vendredi 07 décembre 2018, 12:24 »

Dans Wampserver, le seul et unique <IfModule ssl_module> est celui d'origine d'Apache dans httpd.confCode
Je parle de fichiers déjà configuré en mode SSL.

Dans le httpd-vhosts.conf et que l'on change de version apache il modifie tout les <VirtualHost *:443> <VirtualHost *:80>.

Là j'ai fait une 20 d'essais et c'est toujours la même chose mon fichier est modifié à chaque fois.

:)
Pour toutes extensions php pas de soucis j'ai tous mis et tout fonctionne correctement en SSL :)
IP archivée
Amitiés et à bientôt...
Have a nice day...

Otomatic

  • Orateur confirmé
  • **
  • Hors ligne Hors ligne
  • Sexe: Homme
  • Messages: 55
      • Aviatechno
Discussions autour de Wamp avec un de ses créateurs, Otomatic
« Réponse #134 le: vendredi 07 décembre 2018, 12:46 »

Bonjour,

Il faut quand même être conscient qu'un changement de version Apache ne peut pas s'adapter à toutes les configurations. C'est impossible, même si ce n'est pas français. Donc, le changement est basique, il est seulement demandé si on veut copier le httpd-vhosts.conf de l'ancienne version vers la nouvelle et c'est tout.

Pour tout ce qui est “personnalisé” je préfère ajouter mes propres include :
Code
# Virtual hosts
Include conf/extra/httpd-vhosts.conf
Include conf/perso/httpd-myvhosts.conf
et
Code
<IfModule ssl_module>
SSLRandomSeed startup builtin
SSLRandomSeed connect builtin
Include conf/extra/httpd-ssl.conf
Include conf/perso/httpd-myssl.conf
</IfModule>
Tout ce qui est dans conf/perso/ ne sera jamais modifié. Ce peut être un dossier en dehors de l'arborescence apache et même en dehors de wamp.
IP archivée
« La vie sans musique est tout simplement une erreur, une fatigue, un exil. » Friedrich Nietzsche.
« Ce n'est pas parce qu'ils sont nombreux à avoir tort qu'ils ont forcément raison. » Coluche
Pages: 1 ... 6 7 8 [9] 10 11   En haut
 

+ Réponse Rapide

Page générée en 0.22 secondes avec 26 requêtes.